API ReferenceWorkflows
Generate a step preview
Generates a preview for a specific workflow step by its unique identifier **stepId**
Generates a preview for a specific workflow step by its unique identifier stepId
Authorization
secretKey Authorization<token>
API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
workflowId*string
stepId*string
Request Body
application/json
Preview generation details
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/workflows/string/step/string/preview" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "previewPayloadExample": { "subscriber": { "_id": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "avatar": "string", "locale": "string", "channels": [ { "providerId": "slack", "integrationIdentifier": "string", "credentials": { "webhookUrl": "https://example.com/webhook", "channel": "general", "deviceTokens": [ "token1", "token2", "token3" ], "alertUid": "12345-abcde", "title": "Critical Alert", "imageUrl": "https://example.com/image.png", "state": "resolved", "externalUrl": "https://example.com/details" }, "_integrationId": "string" } ], "topics": [ "string" ], "isOnline": true, "lastOnlineAt": "string", "__v": 0, "data": {}, "timezone": "string" }, "actor": { "_id": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "avatar": "string", "locale": "string", "channels": [ { "providerId": "slack", "integrationIdentifier": "string", "credentials": { "webhookUrl": "https://example.com/webhook", "channel": "general", "deviceTokens": [ "token1", "token2", "token3" ], "alertUid": "12345-abcde", "title": "Critical Alert", "imageUrl": "https://example.com/image.png", "state": "resolved", "externalUrl": "https://example.com/details" }, "_integrationId": "string" } ], "topics": [ "string" ], "isOnline": true, "lastOnlineAt": "string", "__v": 0, "data": {}, "timezone": "string" }, "payload": {}, "steps": {}, "context": { "property1": "org-acme", "property2": "org-acme" }, "env": {} }, "schema": {}, "novuSignature": "string", "result": {} }}